| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.Serialization Class Reference

Serialization class which provides methods to serialize and unserialize most of IOLink objects. More...

Inheritance diagram for IOLink.Serialization:

## Public Member Functions
| Serialization (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (Serialization obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (Serialization obj)
static void | EncodeImageView (ImageView image, StreamAccess outStream)
| Factory to serialize an ImageView into a stream.
static ImageView | DecodeImageView (StreamAccess inStream)
| Factory to unserialize an ImageView from a stream.
static void | EncodeArrayXi8 (ArrayXi8 src, StreamAccess dst)
| Serialize an Array into a stream.
static void | EncodeArrayXi16 (ArrayXi16 src, StreamAccess dst)
static void | EncodeArrayXi32 (ArrayXi32 src, StreamAccess dst)
static void | EncodeArrayXi64 (ArrayXi64 src, StreamAccess dst)
static void | EncodeArrayXu8 (ArrayXu8 src, StreamAccess dst)
static void | EncodeArrayXu16 (ArrayXu16 src, StreamAccess dst)
static void | EncodeArrayXu32 (ArrayXu32 src, StreamAccess dst)
static void | EncodeArrayXu64 (ArrayXu64 src, StreamAccess dst)
static void | EncodeArrayXf (ArrayXf src, StreamAccess dst)
static void | EncodeArrayXd (ArrayXd src, StreamAccess dst)
static ArrayXi8 | DecodeArrayXi8 (StreamAccess src)
| Decode an array from a stream.
static ArrayXi16 | DecodeArrayXi16 (StreamAccess src)
static ArrayXi32 | DecodeArrayXi32 (StreamAccess src)
static ArrayXi64 | DecodeArrayXi64 (StreamAccess src)
static ArrayXu8 | DecodeArrayXu8 (StreamAccess src)
static ArrayXu16 | DecodeArrayXu16 (StreamAccess src)
static ArrayXu32 | DecodeArrayXu32 (StreamAccess src)
static ArrayXu64 | DecodeArrayXu64 (StreamAccess src)
static ArrayXf | DecodeArrayXf (StreamAccess src)
static ArrayXd | DecodeArrayXd (StreamAccess src)
static void | EncodeVector2u8 (Vector2u8 vect, StreamAccess outStream)
| Factory to serialize a Vector2 into a stream.
static void | EncodeVector2u16 (Vector2u16 vect, StreamAccess outStream)
static void | EncodeVector2u32 (Vector2u32 vect, StreamAccess outStream)
static void | EncodeVector2u64 (Vector2u64 vect, StreamAccess outStream)
static void | EncodeVector2i8 (Vector2i8 vect, StreamAccess outStream)
static void | EncodeVector2i16 (Vector2i16 vect, StreamAccess outStream)
static void | EncodeVector2i32 (Vector2i32 vect, StreamAccess outStream)
static void | EncodeVector2i64 (Vector2i64 vect, StreamAccess outStream)
static void | EncodeVector2f (Vector2f vect, StreamAccess outStream)
static void | EncodeVector2d (Vector2d vect, StreamAccess outStream)
static Vector2u8 | DecodeVector2u8 (StreamAccess inStream)
| Factory to unserialize a Vector2 from a stream.
static Vector2u16 | DecodeVector2u16 (StreamAccess inStream)
static Vector2u32 | DecodeVector2u32 (StreamAccess inStream)
static Vector2u64 | DecodeVector2u64 (StreamAccess inStream)
static Vector2i8 | DecodeVector2i8 (StreamAccess inStream)
static Vector2i16 | DecodeVector2i16 (StreamAccess inStream)
static Vector2i32 | DecodeVector2i32 (StreamAccess inStream)
static Vector2i64 | DecodeVector2i64 (StreamAccess inStream)
static Vector2f | DecodeVector2f (StreamAccess inStream)
static Vector2d | DecodeVector2d (StreamAccess inStream)
static void | EncodeVector3u8 (Vector3u8 vect, StreamAccess outStream)
| Factory to serialize a Vector3 into a stream.
static void | EncodeVector3u16 (Vector3u16 vect, StreamAccess outStream)
static void | EncodeVector3u32 (Vector3u32 vect, StreamAccess outStream)
static void | EncodeVector3u64 (Vector3u64 vect, StreamAccess outStream)
static void | EncodeVector3i8 (Vector3i8 vect, StreamAccess outStream)
static void | EncodeVector3i16 (Vector3i16 vect, StreamAccess outStream)
static void | EncodeVector3i32 (Vector3i32 vect, StreamAccess outStream)
static void | EncodeVector3i64 (Vector3i64 vect, StreamAccess outStream)
static void | EncodeVector3f (Vector3f vect, StreamAccess outStream)
static void | EncodeVector3d (Vector3d vect, StreamAccess outStream)
static Vector3u8 | DecodeVector3u8 (StreamAccess inStream)
| Method to load a Vector3 which has been serialized into a stream.
static Vector3u16 | DecodeVector3u16 (StreamAccess inStream)
static Vector3u32 | DecodeVector3u32 (StreamAccess inStream)
static Vector3u64 | DecodeVector3u64 (StreamAccess inStream)
static Vector3i8 | DecodeVector3i8 (StreamAccess inStream)
static Vector3i16 | DecodeVector3i16 (StreamAccess inStream)
static Vector3i32 | DecodeVector3i32 (StreamAccess inStream)
static Vector3i64 | DecodeVector3i64 (StreamAccess inStream)
static Vector3f | DecodeVector3f (StreamAccess inStream)
static Vector3d | DecodeVector3d (StreamAccess inStream)
static void | EncodeVector4u8 (Vector4u8 vect, StreamAccess outStream)
| Factory to serialize a Vector4 into a stream.
static void | EncodeVector4u16 (Vector4u16 vect, StreamAccess outStream)
static void | EncodeVector4u32 (Vector4u32 vect, StreamAccess outStream)
static void | EncodeVector4u64 (Vector4u64 vect, StreamAccess outStream)
static void | EncodeVector4i8 (Vector4i8 vect, StreamAccess outStream)
static void | EncodeVector4i16 (Vector4i16 vect, StreamAccess outStream)
static void | EncodeVector4i32 (Vector4i32 vect, StreamAccess outStream)
static void | EncodeVector4i64 (Vector4i64 vect, StreamAccess outStream)
static void | EncodeVector4f (Vector4f vect, StreamAccess outStream)
static void | EncodeVector4d (Vector4d vect, StreamAccess outStream)
static Vector4u8 | DecodeVector4u8 (StreamAccess inStream)
| Factory to unserialize a Vector4 from a stream.
static Vector4u16 | DecodeVector4u16 (StreamAccess inStream)
static Vector4u32 | DecodeVector4u32 (StreamAccess inStream)
static Vector4u64 | DecodeVector4u64 (StreamAccess inStream)
static Vector4i8 | DecodeVector4i8 (StreamAccess inStream)
static Vector4i16 | DecodeVector4i16 (StreamAccess inStream)
static Vector4i32 | DecodeVector4i32 (StreamAccess inStream)
static Vector4i64 | DecodeVector4i64 (StreamAccess inStream)
static Vector4f | DecodeVector4f (StreamAccess inStream)
static Vector4d | DecodeVector4d (StreamAccess inStream)
static void | EncodeVectorXu8 (VectorXu8 vect, StreamAccess outStream)
| Factory to serialize a VectorX into a stream.
static void | EncodeVectorXu16 (VectorXu16 vect, StreamAccess outStream)
static void | EncodeVectorXu32 (VectorXu32 vect, StreamAccess outStream)
static void | EncodeVectorXu64 (VectorXu64 vect, StreamAccess outStream)
static void | EncodeVectorXi8 (VectorXi8 vect, StreamAccess outStream)
static void | EncodeVectorXi16 (VectorXi16 vect, StreamAccess outStream)
static void | EncodeVectorXi32 (VectorXi32 vect, StreamAccess outStream)
static void | EncodeVectorXi64 (VectorXi64 vect, StreamAccess outStream)
static void | EncodeVectorXf (VectorXf vect, StreamAccess outStream)
static void | EncodeVectorXd (VectorXd vect, StreamAccess outStream)
static VectorXu8 | DecodeVectorXu8 (StreamAccess inStream)
| Factory to unserialize a VectorX from a stream.
static VectorXu16 | DecodeVectorXu16 (StreamAccess inStream)
static VectorXu32 | DecodeVectorXu32 (StreamAccess inStream)
static VectorXu64 | DecodeVectorXu64 (StreamAccess inStream)
static VectorXi8 | DecodeVectorXi8 (StreamAccess inStream)
static VectorXi16 | DecodeVectorXi16 (StreamAccess inStream)
static VectorXi32 | DecodeVectorXi32 (StreamAccess inStream)
static VectorXi64 | DecodeVectorXi64 (StreamAccess inStream)
static VectorXf | DecodeVectorXf (StreamAccess inStream)
static VectorXd | DecodeVectorXd (StreamAccess inStream)
static void | EncodeDataFrameView (DataFrameView dataFrame, StreamAccess outStream)
| Factory to serialize a DataFrameView into a stream.
static DataFrameView | DecodeDataFrameView (StreamAccess inStream)
| Factory to unserialize a DataFrameView from a stream.
static void | EncodeMatrix3f (Matrix3f mat, StreamAccess outStream)
| Factory to serialize a Matrix into a stream.
static void | EncodeMatrix4f (Matrix4f mat, StreamAccess outStream)
static void | EncodeMatrix3d (Matrix3d mat, StreamAccess outStream)
static void | EncodeMatrix4d (Matrix4d mat, StreamAccess outStream)
static Matrix3f | DecodeMatrix3f (StreamAccess inStream)
| Factory to unserialize a Matrix from a stream.
static Matrix4f | DecodeMatrix4f (StreamAccess inStream)
static Matrix3d | DecodeMatrix3d (StreamAccess inStream)
static Matrix4d | DecodeMatrix4d (StreamAccess inStream)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Serialization class which provides methods to serialize and unserialize most of IOLink objects.

Examples
  SerializeArray.cs.

## Member Function Documentation

## ◆ DecodeArrayXi8()

static ArrayXi8 IOLink.Serialization.DecodeArrayXi8 | ( | StreamAccess | src | ) |
| inline static

Decode an array from a stream.

Parameters

  src | The stream to decode from.

Returns
  The decoded array.

## ◆ DecodeDataFrameView()

static DataFrameView IOLink.Serialization.DecodeDataFrameView | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize a DataFrameView from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a in-memory DataFrameView built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a DataFrameView
  Error | if decoding issue (synchronization tag not found)

## ◆ DecodeImageView()

static ImageView IOLink.Serialization.DecodeImageView | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize an ImageView from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a in-memory ImageView built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not an ImageView
  Error | if decoding issue (synchronization tag not found)

## ◆ DecodeMatrix3f()

static Matrix3f IOLink.Serialization.DecodeMatrix3f | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize a Matrix from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Matrix built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Matrix
  Error | if data type or dimension read from stream is not compatible with requested matrix type

## ◆ DecodeVector2u8()

static Vector2u8 IOLink.Serialization.DecodeVector2u8 | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize a Vector2 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector2 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ DecodeVector3u8()

static Vector3u8 IOLink.Serialization.DecodeVector3u8 | ( | StreamAccess | inStream | ) |
| inline static

Method to load a Vector3 which has been serialized into a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector3 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ DecodeVector4u8()

static Vector4u8 IOLink.Serialization.DecodeVector4u8 | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize a Vector4 from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a Vector4 built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ DecodeVectorXu8()

static VectorXu8 IOLink.Serialization.DecodeVectorXu8 | ( | StreamAccess | inStream | ) |
| inline static

Factory to unserialize a VectorX from a stream.

Parameters

  inStream | Stream from where data is read

Returns
  a VectorX built from input Stream

Exceptions

  Error | if IOLink version read from stream is not compatible with current version
  Error | if read magic number is invalid
  Error | if object to decode is not a Vector
  Error | if data type read from stream is not compatible with requested vector type

## ◆ EncodeArrayXi8()

static void IOLink.Serialization.EncodeArrayXi8 | ( | ArrayXi8 | src,
|  | StreamAccess | dst
| ) |  |
| inline static

Serialize an Array into a stream.

Parameters

  src | The array to encode.
  dst | The stream where the encoded data is written.

## ◆ EncodeDataFrameView()

static void IOLink.Serialization.EncodeDataFrameView | ( | DataFrameView | dataFrame,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a DataFrameView into a stream.

Parameters

  dataFrame | DataFrameView to serialize
  outStream | Stream where data is written

Exceptions

  Error | if DataFrameView has not READ capacity

## ◆ EncodeImageView()

static void IOLink.Serialization.EncodeImageView | ( | ImageView | image,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize an ImageView into a stream.

Parameters

  image | ImageView to serialize
  outStream | Stream where data is written

Exceptions

  Error | if ImageView has not READ capacity

## ◆ EncodeMatrix3f()

static void IOLink.Serialization.EncodeMatrix3f | ( | Matrix3f | mat,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a Matrix into a stream.

Parameters

  mat | Matrix to serialize
  outStream | Stream where data is written

## ◆ EncodeVector2u8()

static void IOLink.Serialization.EncodeVector2u8 | ( | Vector2u8 | vect,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a Vector2 into a stream.

Parameters

  vect | Vector2 to serialize
  outStream | Stream where data is written

## ◆ EncodeVector3u8()

static void IOLink.Serialization.EncodeVector3u8 | ( | Vector3u8 | vect,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a Vector3 into a stream.

Parameters

  vect | Vector3 to serialize
  outStream | Stream where data is written

## ◆ EncodeVector4u8()

static void IOLink.Serialization.EncodeVector4u8 | ( | Vector4u8 | vect,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a Vector4 into a stream.

Parameters

  vect | Vector4 to serialize
  outStream | Stream where data is written

## ◆ EncodeVectorXu8()

static void IOLink.Serialization.EncodeVectorXu8 | ( | VectorXu8 | vect,
|  | StreamAccess | outStream
| ) |  |
| inline static

Factory to serialize a VectorX into a stream.

Parameters

  vect | VectorX to serialize
  outStream | Stream where data is written

The documentation for this class was generated from the following file:

- Release/net/generated/Serialization.cs